Google Cloud
probe SQL

# list_instances

Lists Cloud SQL instances in a given project in the alphabetical order of the instance name

Run it now
View details

Type | probe
Module | chaosgcp.sql.probes
Name | list_instances
Return | mapping

Usage

JSON

    {
      "name": "list-instances",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgcp.sql.probes",
        "func": "list_instances"
      }
    }

YAML

    name: list-instances
    provider:
      func: list_instances
      module: chaosgcp.sql.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---

See https://cloud.google.com/sql/docs/postgres/admin-api/v1beta4/instances/list

Signature

    def list_instances(
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Google Cloud
  action SQL

  ## `import_data`

  Imports data into a Cloud SQL instance from a SQL dump or CSV file in Cloud Storage
- Google Cloud
  action SQL

  ## `import_data`

  Imports data into a Cloud SQL instance from a SQL dump or CSV file in Cloud Storage
- Google Cloud
  action SQL

  ## `export_data`

  Exports data from a Cloud SQL instance to a Cloud Storage bucket